#pragma once

#include "MAXProxies.hpp"
#include <Proxies\Copy.hpp>

namespace MAXProxies {

	class MAXCopyProcess:
		public Proxies::CopyProcess
	{
	public:
		MAXCopyProcess(bool bSuppress=true):
			CopyProcess(NULL,bSuppress,NULL),
			iPointer(NULL),
			progress(0)
			{}

		MAXCopyProcess(
			Stuff::NotationFile *data_file, 
			Interface *i, 
			int p, 
			bool bSuppress = true,
			LPVOID fcn = NULL
		);

		void
			CopyCallback(Proxies::GenericProxy* proxy);

		Interface 
			*iPointer;
		int  
			progress;
	};

}
